A Brief  overview
===========================
Ethernet test suite- This is a test suite to test Ethernet module on Linux like platforms.


Platforms supported
================================

Any platform with Ethernet support

Platforms tested
================================
1) omap35x
2) am3517
3) am17x 	
4) am18x
5) dm355
6) dm365
7) dm644x
8) dm646x 	

Steps to build
================
NA

The test suite is script only and is available in script/common/ folder

Step to clean
=============
NA

Steps to run
================
1)Boot the DUT using the uImage built from appropriate PSP release.
2)Run default scrpt to see help
3)Refer user guide for further reading
	
Usage:
sh ethernet_test_script <options>

	--- HELP OPTIONS  ---"
	ethernet_tests_script.sh -type -dst_ip -src_ip [ -device ] [ -ko ] [ -speed ] [ -h ] [ -help ] [ -v ] [ - version ]
	-type            : Test type (intreface, func, perf, stress, modular)
	-dst_ip          : Destination IP Address for ping tes
	-src_ip          : EVM IP Address for configuration test
	-device          : Ethernet device (e.g. eth0) [default: eth0]
	-ko              : Module name to run modular test
	-speed           : speed of network connected (10,100,1000) [default: 100]
	-help/h          : Displays help
    	-version/v       : Displays Vesrion

Expected output
==========================
When run  with test type only it will take other parameters as default arguments, as mentioned in help.

Supported features
=====================
1)Functional testcases
2)Performance test cases with iperf and dd command
3)Stress test cases
4)Modular test cases 

Point of contact
================
Please submit your queries or comments at the forums http://community.ti.com or http://support.ti.com
